<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>InputForm</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/home/home.component.ts</code>
        </p>



        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                        <a href="#formControlName">formControlName</a>
                                </li>
                                <li>
                                        <a href="#label">label</a>
                                </li>
                                <li>
                                        <a href="#type">type</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="formControlName"></a>
                                        <span class="name"><b>formControlName</b><a href="#formControlName"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>formControlName:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="label"></a>
                                        <span class="name"><b>label</b><a href="#label"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>label:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="type"></a>
                                        <span class="name"><b>type</b><a href="#type"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>type:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { FormControl, FormGroup, FormBuilder, Validators } from &#x27;@angular/forms&#x27;;
import { STEPPER_GLOBAL_OPTIONS } from &#x27;@angular/cdk/stepper&#x27;;
import { DataProyectService } from &#x27;src/app/service/data-proyect.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;

interface InputForm {
  type: string;
  label: string;
  formControlName: string;
}

/**
 * @title Stepper that displays errors in the steps
 */
@Component({
  selector: &#x27;app-home&#x27;,
  templateUrl: &#x27;./home.component.html&#x27;,
  styleUrls: [&#x27;./home.component.css&#x27;],
  providers: [{
    provide: STEPPER_GLOBAL_OPTIONS, useValue: {showError: true}
  }]
})
export class HomeComponent implements OnInit {
  hiddenEsceSecond &#x3D; false;
  hiddenEsceFirst &#x3D; false;
  objects: Array&lt;any&gt; &#x3D; [];
  select &#x3D; &#x27;&#x27;;
  inputs: InputForm[] &#x3D; [
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pro&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-op&#x27;},
  ];
  options &#x3D; [
    {label: &#x27;1&#x27;, value: &#x27;1&#x27;},
    {label: &#x27;2&#x27;, value: &#x27;2&#x27;},
    {label: &#x27;3&#x27;, value: &#x27;3&#x27;},
    {label: &#x27;4&#x27;, value: &#x27;4&#x27;},
    {label: &#x27;5&#x27;, value: &#x27;5&#x27;},
    {label: &#x27;6&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;7&#x27;, value: &#x27;7&#x27;},
    {label: &#x27;8&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;9&#x27;, value: &#x27;8&#x27;},
    {label: &#x27;10&#x27;, value: &#x27;10&#x27;},
  ];

  proyectForm: FormGroup;
  dataFormFirst: FormGroup;
  dataFormSecond: FormGroup;


  investForm: FormGroup;
  valorRescateForm: FormGroup;
  inflacionForm: FormGroup;
  flujoNetoForm: FormGroup;

  arrayFlujoForm &#x3D; [];
  // tslint:disable-next-line: variable-name
  id_user: string;
  idProy: string;
  constructor(private formBuilder: FormBuilder,
              private dataProyectService: DataProyectService,
              private router: Router)
  {
    this.id_user &#x3D; localStorage.getItem(&#x27;Auth_token&#x27;);

    this.buildForm();
  }

  buildForm(): any {
    this.proyectForm &#x3D; this.formBuilder.group({
      id_user: [&#x27;&#x27;],
      name: [&#x27;&#x27;, [Validators.required]]
    });
    this.dataFormFirst &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      media_first: [&#x27;&#x27;, [Validators.required]],
      var_first: [&#x27;&#x27;, [Validators.required]],
      media_second: [&#x27;&#x27;, [Validators.required]],
      var_second: [&#x27;&#x27;, [Validators.required]],
      year: [&#x27;&#x27;, [Validators.required]],
    });
    this.investForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;invest&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.valorRescateForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;rescate&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.inflacionForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;tasa&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.flujoNetoForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      año: [&#x27;&#x27;],
      flujo: [&#x27;&#x27;]
    });
  }
  ngOnInit(): void {
  }

  saveName(e: Event): any {
    e.preventDefault();
    // tslint:disable-next-line: no-string-literal
    this.proyectForm.controls[&#x27;id_user&#x27;].setValue(this.id_user);
    this.dataProyectService.saveNameProyect(this.proyectForm.value).subscribe(
      res &#x3D;&gt; {
        localStorage.setItem(&#x27;id_proy&#x27;, res.id);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }

  getSelect(): void{
    let arrayForm: Array&lt;any&gt; &#x3D; [];
    let arrayFormFujo: Array&lt;any&gt; &#x3D; [];
    const i: number &#x3D; + this.select;
    for (let j &#x3D; 0 ; j &lt; i ; j++) {
      const object &#x3D; {
        label: j + 1,
        formControlName: &#x27;año&#x27;,
        placeholder: &#x27;Flujo Neto&#x27;
      };
      arrayForm.push(object);
      const flujoForm: FormGroup &#x3D; this.formBuilder.group({
        id_user: [&#x27;&#x27;],
        año: [j + 1],
        flujo: [&#x27;&#x27;],
        formControlName: [&#x27;flujo&#x27;]
      });
      flujoForm.controls[&#x27;id_user&#x27;].setValue(this.id_user);
      arrayFormFujo.push(flujoForm);
    }
    this.select &#x3D; &#x27;&#x27;;
    this.objects &#x3D; arrayForm;
    arrayForm &#x3D; [];
    this.arrayFlujoForm &#x3D; arrayFormFujo;
    arrayFormFujo &#x3D; [];
  }

  changeEscenary(escenary: string): any{
    switch (escenary){
      case &#x27;first&#x27;:
        this.hiddenEsceFirst &#x3D; true;
        this.hiddenEsceSecond &#x3D; false;
        break;
      case &#x27;second&#x27;:
        this.hiddenEsceSecond &#x3D; true;
        this.hiddenEsceFirst &#x3D; false;
        break;
    }
  }
  getStart(e: Event): any{
    e.preventDefault();
    this.idProy &#x3D; localStorage.getItem(&#x27;id_proy&#x27;);
    // tslint:disable-next-line: no-string-literal
    this.dataFormFirst.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.dataProyectService.saveDataFirstProyect(this.dataFormFirst.value).subscribe(
      res &#x3D;&gt; {
        localStorage.setItem(&#x27;id_dataFirst&#x27;, res.id);
        localStorage.setItem(&#x27;option&#x27;, &#x27;first&#x27;);
        this.router.navigateByUrl(&#x27;/core/home&#x27;, { skipLocationChange: true }).then(() &#x3D;&gt; {
          this.router.navigate([&#x27;core/result/proyect-result&#x27;]);
        });
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }
  startSimulation(): any {
    this.idProy &#x3D; localStorage.getItem(&#x27;id_proy&#x27;);
    this.investForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.valorRescateForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.inflacionForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    console.log(this.investForm.value);
    console.log(this.valorRescateForm.value);
    console.log(this.inflacionForm.value);
    this.dataProyectService.saveDataSecondProyect(this.investForm.value).subscribe(
      res &#x3D;&gt; {
        console.log(res);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.saveDataSecondProyect(this.valorRescateForm.value).subscribe(
      res2 &#x3D;&gt; {
        console.log(res2);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.saveDataSecondProyect(this.inflacionForm.value).subscribe(
      res3 &#x3D;&gt; {
        console.log(res3);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    localStorage.setItem(&#x27;option&#x27;, &#x27;second&#x27;);
    this.router.navigateByUrl(&#x27;/core/home&#x27;, { skipLocationChange: true }).then(() &#x3D;&gt; {
      this.router.navigate([&#x27;core/result/proyect-result&#x27;]);
    });
  }
}
</code></pre>
    </div>
</div>


                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'InputForm.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
